# Back-testing process

## 1. Requirements for input parameters

{% hint style="warning" %}

**Loan Eligibility Disbursement Window** – mandatory window of at least 6 months and at most 12 months in the past. Example – if today is 1<sup>st</sup> January 2026, the sample should consist of loans no older than 1<sup>st</sup> January 2025 and no recent than 1<sup>st</sup> July 2025
{% endhint %}

A csv/xlsx file containing the following columns:  &#x20;

* Phone number
* Email address
* Application date
* Loan Performance (GB Flag – indicator if the loan was repaid or not)
* ID number (optional)
* ID type (optional)
* First Name + Last Name (optional)
* Date of birth (optional)

{% file src="/files/32QxSSBJeBvOLHOtPKdw" %}

To receive a sufficient number of matches, we request a **minimum of 20k  records per sample.**

The file transfer can be:

a) Sent via e-mail with password protection (password sent via separate channel)

b) Uploaded to an SFTP, prepared by LenderLink team

## 2. Expected output

a) Summary block – aggregated information for all matched borrowers from all lenders and data sources.

<table><thead><tr><th valign="top">Variable Name</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top">MSIDN</td><td valign="top"> Phone number</td></tr><tr><td valign="top"> num_app</td><td valign="top"> Number of applications</td></tr><tr><td valign="top"> num_acc</td><td valign="top"> Number of disbursed credits</td></tr><tr><td valign="top"> was_dpd_30_ever</td><td valign="top"> Flag if borrower reached 30 dpd ever; 1 - yes, 0 - no </td></tr><tr><td valign="top"><p> was_dpd_90_ever</p><p> </p></td><td valign="top"> Flag if borrower reached 90 dpd ever; 1 - yes, 0 - no</td></tr><tr><td valign="top"><p> was_dpd_30_last_3_months</p><p> </p></td><td valign="top"> Flag if borrower reached 30 dpd in last three months; 1 - yes, 0 - no </td></tr><tr><td valign="top"><p> was_dpd_90_last_3_months</p><p> </p></td><td valign="top"> Flag if borrower reached 90 dpd in last three months; 1 - yes, 0 - no</td></tr><tr><td valign="top"><p> was_dpd_30_last_year</p><p> </p></td><td valign="top"><p> </p><p>Flag if borrower reached 30 dpd in last year; 1 - yes, 0 - no</p></td></tr><tr><td valign="top"><p> was_dpd_90_last_year</p><p> </p></td><td valign="top"> Flag if borrower reached 90 dpd in last year; 1 - yes, 0 - no</td></tr></tbody></table>

b) Full response – records for all credits for up to 5000 unique matched borrowers

<table><thead><tr><th valign="top">Variable Name</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"> RecordID</td><td valign="top"> Unique Identifier</td></tr><tr><td valign="top"> kycSurname</td><td valign="top"> Borrower Surname</td></tr><tr><td valign="top"> kycFirstName</td><td valign="top"> Borrower First name</td></tr><tr><td valign="top"> kycMiddleName</td><td valign="top"> Borrower Middle name</td></tr><tr><td valign="top"> kycDateOfBirth</td><td valign="top"> Borrower Date of Birth</td></tr><tr><td valign="top"> kycIdNumber</td><td valign="top"> Borrower ID number</td></tr><tr><td valign="top"> kycIdType</td><td valign="top"> Type of ID</td></tr><tr><td valign="top"> kycMobileNumber</td><td valign="top"> Borrower Mobile number</td></tr><tr><td valign="top"> kycEmailAddress</td><td valign="top"> Borrower Email address</td></tr><tr><td valign="top"> kycAddress</td><td valign="top"> Borrower Address</td></tr><tr><td valign="top"> loanInfoLoanType</td><td valign="top"> Loan Type</td></tr><tr><td valign="top"> loanInfoOpenDate</td><td valign="top"> Loan Open date</td></tr><tr><td valign="top"> loanInfoLoanTerm</td><td valign="top"> Count of months, loan term.</td></tr><tr><td valign="top"> loanInfoOpenBalance</td><td valign="top"> Loan Open Balance</td></tr><tr><td valign="top"> loanInfoOutstandingBalance</td><td valign="top"> Loan Outstanding Balance</td></tr><tr><td valign="top"> loanInfoNextDueDate</td><td valign="top"> Loan Next Due date</td></tr><tr><td valign="top"> loanInfoLastPaymentAmount</td><td valign="top"> Loan Last Payment Amount</td></tr><tr><td valign="top"> loanInfoLastPaymentDate</td><td valign="top"> Loan Last Payment Date</td></tr><tr><td valign="top">loanInfoStatusCode</td><td valign="top">Rejected, Active, Delayed, Collection, Written off, Closed</td></tr><tr><td valign="top"> loanInfoInstallmentAmount</td><td valign="top"> Loan installment amount</td></tr><tr><td valign="top"> loanInfoOverdueAmount</td><td valign="top"> Loan Overdue amount</td></tr><tr><td valign="top"> loanInfoRepaymentFrequency</td><td valign="top"> Monthly, Bi-weekly, Single payment</td></tr><tr><td valign="top"> loanInfoRepaymentHistory</td><td valign="top"> Flag representing all paid and missed instalments</td></tr><tr><td valign="top"> loanInfoCloseDate</td><td valign="top"> Loan Close Date</td></tr></tbody></table>

## 3.Predictive Power Assessment

[LenderLink Data - Predictive Power Assessment](/backtesting-guides/back-testing-process/lenderlink-data-predictive-power-assessment.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lenderlink.ph/backtesting-guides/back-testing-process.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
